Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517706 - Could not able to see filters of any role with org_admin user
Summary: Could not able to see filters of any role with org_admin user
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Marek Hulan
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 09:39 UTC by Nikhil Kathole
Modified: 2019-03-06 15:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
screenshot of UI with org_admin user (deleted)
2017-11-27 09:39 UTC, Nikhil Kathole
no flags Details
screenshot of UI with admin user (deleted)
2017-11-27 09:39 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21778 None None None 2017-11-27 11:40:27 UTC

Description Nikhil Kathole 2017-11-27 09:39:33 UTC
Created attachment 1359398 [details]
screenshot of UI with org_admin user

Description of problem: We created a role with org_admin user and tried to add filters. But could not able to see filters of role with org_admin role.


Version-Release number of selected component (if applicable): Satellite 6.3 snap 26


How reproducible: always


Steps to Reproduce:
1. Login with admin
2. Navigate to Administer -> Roles 
3. Create role cloning Organization admin role
4. Create user providing location, organization and created role 
5. Login with created user
6. Create test role
7. Edit role to add new filter
8. Click on role to see added filters.

Actual results:
Not able to see added filter with org_admin role. (see attachment)

Expected results:
Added filter should be displayed.

Additional info: With admin user, can able to see filters added to role.

Comment 1 Nikhil Kathole 2017-11-27 09:39:58 UTC
Created attachment 1359399 [details]
screenshot of UI with admin user

Comment 3 Marek Hulan 2017-11-27 11:36:40 UTC
The fact that org admin user could click on role name is a bug, this will be fixed soon by BZ 1502725. Roles should be only readable. There is separate filters page to see permissions for role.

This is still a valid bug, since even this page does not list filters for org admin. So this bug effectively is "non-admin users can't can't see role filters". 

This is caused by the fact, filters are hidden by Taxonomix but in fact these are global resources. In fact there's no point in even having filters permissions, they should be determined by the given role permission.

Comment 5 Marek Hulan 2017-11-27 11:40:24 UTC
Created redmine issue http://projects.theforeman.org/issues/21778 from this bug

Comment 6 pm-sat@redhat.com 2018-07-13 16:10:21 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 7 pm-sat@redhat.com 2018-07-13 16:10:24 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 pm-sat@redhat.com 2018-07-15 14:10:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21778 has been resolved.

Comment 10 Nikhil Kathole 2018-11-21 06:44:37 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 4


1.Created user with cloned org admin role.
2.Navigated to roles
3.Clicked on filter

User with org admin role is now able to see filters on role.


Note You need to log in before you can comment on or make changes to this bug.